Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 5425 - Xconfigurator Segfaults after 1st screen with 3dfx /usr/X11R6/lib/X11/Cards file
Summary: Xconfigurator Segfaults after 1st screen with 3dfx /usr/X11R6/lib/X11/Cards file
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: Xconfigurator
Version: 6.0
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-09-28 21:17 UTC by loren
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-09 07:27:42 UTC


Attachments (Terms of Use)

Description loren 1999-09-28 21:17:06 UTC
After installing Daryll Strauss' Banshee/Voodoo3 Xserver and
related RPMs I was unable to get Xconfigurator to get past
the first screen without crashing.


I downloaded the SRPM, diagnosed the problem:

	* This problem occurs whenever the /usr/X11R6/lib/X11/Cards
file contains information on a supported card that either is
missing a SERVER entry or a CHIPSET entry, but does not end
in an unrecognized entry.
	* The file parser has code to check for this, but does not
encounter this code unless the info for a particular card
contains an illegal line (which is subsequently ignored.

I have fixed the problem, as well as some error printing
related problems, and have made a source patch.

------- Additional Comments From   09/29/99 04:22 -------
I decided it may be easier to read if I sent the patch as an
un-compressed ASCII file... so here goes...

-Loren

Comment 1 Matt Wilson 2000-02-09 07:27:59 UTC
Will include patch in future version


Note You need to log in before you can comment on or make changes to this bug.